Summary:        OASIS ebXML Registry Reference Implementation
Name:           ebxmlrr
Version:        2.1
Release:        1jpp
Epoch:          0
License:        BSD-style
URL:            http://ebxmlrr.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        ebxmlrr-server-2.1-final1-src.tar.gz
Source1:        ebxmlrr-client-2.1-final1-src.tar.gz
Patch0:         ebxmlrr-server-2.1-build_xml.patch
Patch1:         ebxmlrr-server-2.1-build_properties.patch
Patch2:         ebxmlrr-server-2.1-ebxmlrr_properties.patch
Patch3:         ebxmlrr-server-2.1-database_sql.patch
Patch4:         ebxmlrr-server-2.1-RegistryJAXMServlet.patch
Patch5:         ebxmlrr-server-2.1-AuthorizationServiceImpl.patch
Patch6:         ebxmlrr-server-2.1-SOAPSender.patch
Patch7:         ebxmlrr-client-2.1-build_xml.patch
Patch8:         ebxmlrr-client-2.1-browser.patch
Patch9:         ebxmlrr-client-2.1-castorbuilder_properties.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  javacc
BuildRequires:  junit
#
BuildRequires:  axis
BuildRequires:  castor-xml >= 0:0.9.6
BuildRequires:  ebxmlrr-spec
BuildRequires:  hsqldb
BuildRequires:  jaf
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-logging
BuildRequires:  javamail
BuildRequires:  jaxm
BuildRequires:  jaxr-api
BuildRequires:  jgraph10
BuildRequires:  log4j
BuildRequires:  postgresql-jdbc
BuildRequires:  servletapi4
BuildRequires:  sunxacml
BuildRequires:  wsdl4j
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  xml-security
#
Requires:  axis
Requires:  castor-xml >= 0:0.9.6
Requires:  ebxmlrr-spec
Requires:  jaf
Requires:  jakarta-commons-discovery
Requires:  jakarta-commons-logging
Requires:  javamail
Requires:  jaxm
Requires:  jaxr-api
Requires:  jgraph10
Requires:  log4j
Requires:  servletapi4
Requires:  sunxacml
Requires:  wsdl4j
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xml-commons-apis
Requires:  xml-security
#
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The goal of the ebxmlrr project is to deliver a 
functionally complete reference implementation for 
the  OASIS ebXML Registry specifications  as defined 
by the  OASIS ebXML Registry Technical Committee.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       %{name} = 0:%{version}-%{release}

%description demo
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Tutorial for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n ebxmlrr-2.1-final1
(cd ..
gzip -dc %{SOURCE1} | tar xf -
)
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done
for f in $(find . -name "*.war"); do
    mv $f $f.no
done

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav

%build
mkdir -p $HOME/ebxmlrr/data/security
pushd ebxmlrr
pushd misc/lib
ln -sf $(build-classpath javacc) .
ln -sf $(build-classpath ebxmlrr-bindings) .
ln -sf $(build-classpath xml-security) .
ln -sf $(build-classpath servletapi4) .
ln -sf $(build-classpath jaxm/jaxm-api) .
ln -sf $(build-classpath jaxm/jaxm-runtime) .
ln -sf $(build-classpath axis/saaj) .
ln -sf $(build-classpath axis/axis) .
ln -sf $(build-classpath axis/jaxrpc) .
ln -sf $(build-classpath castor-xml) castor-xml.jar
ln -sf $(build-classpath sunxacml) .
ln -sf $(build-classpath postgresql) .
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath jaf) .
ln -sf $(build-classpath javamail/mailapi) .
ln -sf $(build-classpath xerces-j2) .
ln -sf $(build-classpath commons-discovery) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath hsqldb) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath xml-commons-apis) .
ln -sf $(build-classpath xalan-j2) .
ln -sf $(build-classpath wsdl4j) .

popd

cp build.properties.template build.properties
export OPT_JAR_LIST="ant/ant-nodeps javacc"
ant all common war doc \

mkdir tmp
pushd tmp
jar xf ../build/ebxmlrr.war
pushd WEB-INF/classes
jar cf ../../../build/lib/ebxmlrr-full.jar .
popd
popd
popd
pushd jaxr
pushd misc/lib
ln -sf $(build-classpath commons-logging) .
# ebxmlrr-bindings
# ebxmlrr-common
ln -sf $(build-classpath javamail) mail.jar
ln -sf $(build-classpath jaxm/jaxm-api) .
ln -sf $(build-classpath jaxm/jaxm-runtime) .
ln -sf $(build-classpath jaxm/saaj-api) .
ln -sf $(build-classpath jaxm/saaj-ri) .
ln -sf $(build-classpath xml-security) xmlsec.jar
ln -sf $(build-classpath jaxr-api) .
ln -sf $(build-classpath jaf) activation.jar
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath castor-xml) castor-xml.jar
ln -sf $(build-classpath jgraph10) jgraph.jar
mkdir endorsed
pushd endorsed
ln -sf $(build-classpath xalan-j2) xalan.jar
popd
popd
ant bindings jars doc
popd

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p ebxmlrr/build/lib/ebxmlrr-common.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ebxmlrr-common-%{version}.jar
cp -p ebxmlrr/build/lib/ebxmlrr-full.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ebxmlrr-full-%{version}.jar
cp -p jaxr/build/lib/jaxr-ebxml.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jaxr-ebxml-%{version}.jar
cp -p jaxr/build/lib/jaxr-ebxml-admin.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jaxr-ebxml-admin-%{version}.jar
cp -p jaxr/build/lib/jaxr-ebxml-test.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jaxr-ebxml-test-%{version}.jar
cp -p jaxr/build/lib/registry-browser.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/registry-browser-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# app
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr ebxmlrr/build/ebxmlrr.war $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr ebxmlrr/misc/samples $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr ebxmlrr/build/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf ebxmlrr/build/doc/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tutorial
cp -pr ebxmlrr/build/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tutorial
cp -p ebxmlrr/license.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/license.txt
%{_javadir}/%{name}/*.jar
%{_datadir}/%{name}-%{version}/*.war

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/samples

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/tutorial

%changelog
* Fri May 20 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-1jpp
- First release
- Tests pending

